package com.ms.dal.mapper;

import com.ms.dal.entity.ShopTo1688DsMember;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.ShopTo1688DsMember
 */
@Mapper
public interface ShopTo1688DsMemberMapper {

    int deleteByPrimaryKey(Long id);

    int insert(ShopTo1688DsMember record);

    int insertSelective(ShopTo1688DsMember record);

    ShopTo1688DsMember selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ShopTo1688DsMember record);

    int updateByPrimaryKey(ShopTo1688DsMember record);

    ShopTo1688DsMember selectByShopId(Long shopId);

    ShopTo1688DsMember getDetailByShopId(Long shopId);
}
